Bug 122399 - even with selinux supposedly off some parts of it are getting installed
Summary: even with selinux supposedly off some parts of it are getting installed
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-04 00:40 UTC by Michal Jaegermann
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 22:23:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2004-05-04 00:40:06 UTC
Description of problem:

It was my understanding that by default SELinux is not active
in FC2T3.  With an installation of the last one from scratch,
and no change in SELinux defaults, after I tried to add some rpm
updates I got a long series of messages like that:

kernel: security_context_to_sid: called before initial load_policy on
unknown context system_u:object_r:default_t

Over 1500 of these with varying contexts.  Only booting with
'selinux=0' as a boot parameter seems to kill that noise.

Comment 1 Jeremy Katz 2004-05-06 22:23:19 UTC
This is because rpm's check for selinux being enabled or not wasn't
quite good enough, but with new SysVinit, that should be better.


Note You need to log in before you can comment on or make changes to this bug.